def make_dict(lst, get_key,get_value,accumulate):
    dic = {}
    keys = set()
    for item in lst:
        key = get_key(item)
        value = get_value(item)
        if key in keys:
            dic[key] = accumulate(dic[key],value)
        else:
            
            dic[key] = value
            keys.add(key)
    return dic

def append(x,y):
    return x+y

def even_odd_squares(lst):
    return make_dict(lst,
                     lambda x: "even" if x%2 == 0 else "odd",
                     lambda x: [x**2],
                     append)
